{% extends "base.html" %} {% load static %} {% block stylesheet %} {% endblock stylesheet %} {% block title %}
<h1>Mi Perfil</h1>
<ol class="breadcrumb">
    <li>
        <a style="cursor: default; color: white;">Dashboard</a>
    </li>
    <li class="active">Mi Perfil</li>
</ol>
{% endblock title %} {% block content %}
<div class="modal fade" id="tab_modal" tabindex="-1" role="dialog" aria-labelledby="tab_modal">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title" id="myModalLabel-2">Minuta</h4>
				<ul class="card-actions icons right-top">
					<li>
						<a href="javascript:void(0)" data-dismiss="modal" class="text-white" aria-label="Close">
							<i class="zmdi zmdi-close"></i>
						</a>
					</li>
				</ul>
			</div>
			<div class="modal-body p-0">


			</div>
			<div id="postular" class="modal-footer">
				<div class="row">
					<div class="col-md-6">
						<button type="button" class="btn btn-success sweet-warning pull-left">Guardar</button>
					</div>
					<div class="col-md-6">
						<button type="button" class="btn btn-danger pull-left " data-dismiss="modal">Cancelar</button>
					</div>
				</div>
			</div>
		</div>
		<!-- modal-content -->
	</div>
	<!-- modal-dialog -->
</div>
<div class="row">
	<div class="col-xs-12">
		<div class="card card-transparent">
			<div class="card-body wrapper">
				<div class="row">
					<div class="col-md-3">
						<div class="card type--profile">
							<header class="card-heading">
								<div id="profile-container">
									<img id="profileImage" src="{{ foto }}" title="Haz click para cambiar la imagen" class="profileImage img-circle">
									<form method="post" action="{% url 'upload_photo' %}" hidden>
										{% csrf_token %}
										<input id="imageUpload" type="file" name="profile_photo" placeholder="Photo" required="" capture>
									</form>
								</div>
								<ul class="card-actions icons right-top">
									<li class="dropdown">
										<a href="javascript:void(0)" data-toggle="dropdown" aria-expanded="false">
											<i class="zmdi zmdi-more-vert"></i>
										</a>
										<ul class="dropdown-menu dropdown-menu-right btn-primary">
											<li>
												<a id="cambiar_foto" href="#">Cambiar Foto</a>
											</li>
										</ul>
									</li>
								</ul>
							</header>
							<div class="card-body">
								<h3 class="name">{{request.session.name}}</h3>
								{% for carreer in perfil_carreers %}
								<span class="title">{{carreer}}</span>
								{% endfor %}
							</div>
							{% if request.session.type != "AL" %}
							<footer class="card-footer border-top">
								<div class="row row p-t-10 p-b-10">
									{% if request.session.type == "DC" or request.session.type == "SA" %}
									<div class="col-xs-5 col-xs-offset-1"><span class="count">{{projects}}</span><span>Proyectos activos en la carrera</span></div>
									<div class="col-xs-5"><span class="count">{{total_proyectos}}</span><span>Proyectos propios</span></div>
									{% elif request.session.type == "DO" %}
									<div class="col-xs-8 col-xs-offset-2"><span class="count">{{total_proyectos}}</span><span>Mis Proyectos Activos</span></div>
									{% endif %}
								</div>
							</footer>
							{% endif %}
						</div>
					</div>
					<div class="col-md-8">
						<div class="card">
							<div class="tabpanel m-b-30">
								<ul class="nav nav-tabs nav-justified">
									<li class="active" role="presentation"><a href="#profile-timeline" data-toggle="tab" aria-expanded="true">Últimos eventos</a></li>
									<li role="presentation"><a href="#profile-about" data-toggle="tab" aria-expanded="true">Información</a></li>
								</ul>
							</div>
							<div class="card-body">
								<div class="tab-content">
									<div class="tab-pane fadeIn active" id="profile-timeline">
										<div class="row">
											{% for feedback in feedbacks %}
											{% if request.session.type == "AL" %}
											<div class="col-xs-12 col-sm-11 col-sm-offset-1">
												<article>
													<div class="card card-comment" data-timeline="text">
														<header class="card-heading mw-lightGray">
															<img src="{% static 'img/profiles/image.png' %}" alt="" class="img-circle img-sm pull-left m-r-10">
															<h2 class="card-title m-t-5">De: {% if feedback.author %}{{feedback.author.name}}{% elif feedback.author_s.name %} {% else %}Sistema {% endif %}</h2>
															<ul class="card-actions icons right-top">
																{% if feedback.status == "AP" %}
																<li>
																	<span style="color:white" class="label label-info">Aprobada</span>
																</li>
																{% elif feedback.status == "RE" %}
																<li>
																	<span style="color:white" class="label label-danger">Rechazada</span>
																</li>
																{% endif %}
																<li>
																	<span style="color:white" class="label label-primary">Postulación</span>
																</li>
															</ul>
														</header>
														<div class="card-body">
															<p>{{feedback.description | safe }}</p>
														</div>
													</div>
												</article>
											</div>
											{% else %}
											<div class="col-xs-12 col-sm-11 col-sm-offset-1">
												<article>
													<div class="card card-comment" data-timeline="text">
														<header class="card-heading mw-lightGray">
															<img src="{% static 'img/profiles/image.png' %}" alt="" class="img-circle img-sm pull-left m-r-10">
															<h2 class="card-title m-t-5">De: {% if feedback.author %}{{feedback.author.name}}{% elif feedback.author_s %}{{feedback.author_s.name}} {% else %}Sistema {% endif %}</h2>
															<ul class="card-actions icons right-top">
																{% if feedback.status == "AP" %}
																<li>
																	<span style="color:white" class="label label-info">Aprobada</span>
																</li>
																{% elif feedback.status == "RE" %}
																<li>
																	<span style="color:white" class="label label-danger">Rechazada</span>
																</li>
																{% endif %}
																{% if feedback.status == "AS" %}
																<li>
																	<a href="{% url 'postulaciones' %}" style="color:white" class="label label-info">Ver</a>
																</li>
																<li>
																	<span style="color:white" class="label label-info">Asignación</span>
																</li>
																{% else %}
																<li>
																	<span style="color:white" class="label label-success">Propuesta</span>
																</li>
																{% endif %}
															</ul>
														</header>
														<div class="card-body">
															<p>{{feedback.description | safe }}</p>
														</div>
													</div>
												</article>
											</div>
											{% endif %}
											{% endfor %}
										</div>
									</div>

									<div class="tab-pane fadeIn" id="profile-about">
										<div class="row">
											<div class="col-md-6">
												<table class="table table-bordered">
													<tbody>
														<tr>
															<td style="vertical-align:middle"><strong>Nombre:</strong></td>
															<td style="vertical-align:middle">{{request.session.name}}</td>
														</tr>
														<tr>
															<td style="vertical-align:middle"><strong>Rut:</strong></td>
															<td style="vertical-align:middle">{{request.session.rut}}</td>
														</tr>
														<tr>
															<td style="vertical-align:middle"><strong>Tipo de Usuario:</strong></td>
															{% if request.session.type == "DO" %}
															<td style="vertical-align:middle">Docente</td>
															{% elif request.session.type == "DC" %}
															<td style="vertical-align:middle">Director de Carrera</td>
															{% elif request.session.type == "SA" %}
															<td style="vertical-align:middle">Secretario Académico</td>
															{% elif request.session.type == "AL" %}
															<td style="vertical-align:middle">Alumno</td>
															{% elif request.session.type == "SE" %}
															<td style="vertical-align:middle">Secretaria</td>
															{% elif request.session.type == "DS" %}
															<td style="vertical-align:middle">Dirección de Servicios Académicos</td>
															{% endif %}
														</tr>
														{% if request.session.type == "AL" %}
														{% if "perfil.project" and project_active == "False" %}
														<tr>
															<td style="vertical-align:middle"><strong>Mi Proyecto:</strong></td>
															<td style="vertical-align:middle"> Sin Proyectos Asociados</td>
														</tr>
														<tr>
															<td style="vertical-align:middle"><strong>Acciones:</strong></td>
															<td style="vertical-align:middle">
																<a href="{% url 'postulate' %}">
																	<button id="" class="btn btn-success btn-xs btn-block">
																	<i class="zmdi zmdi-info-outline zmdi-hc-fw"></i>Postular</button>
																</a>
																<div class="togglebutton text-center"></div>
															</td>
														</tr>
														{% elif request.session.type == "AL" and project_active != "False" %}
														<tr>
															<td style="vertical-align:middle"><strong>Mi Proyecto:</strong></td>
															<td style="vertical-align:middle">{{perfil.project.name}}</td>
														</tr>
														<tr>
															<td style="vertical-align:middle"><strong>Acciones:</strong></td>
															<td style="vertical-align:middle">
																<a href="{% url 'tesista_details' project_active %}">
																	<button id="" class="btn btn-success btn-xs btn-block">
																	<i class="zmdi zmdi-info-outline zmdi-hc-fw"></i>Ir a mi Proyecto</button>
																</a>
																<div class="togglebutton text-center"></div>
															</td>
														</tr>
														{% endif %}
														{% endif %}
													</tbody>
												</table>
												{% if request.session.type != "AL" and request.session.type != "SE" and request.session.type != "DS" %}
												<table class="table table-bordered">
													<thead>
														<th class="text-center">Proyectos en ciclo Advance</th>
														<th class="text-center">Proyectos en ciclo Regular</th>
													</thead>
													<tbody>
														<tr>
															<td class="text-center">{{barra_adv}}% <br><progress min=0 max=100 value="{{barra_adv}}"></progress><br>{{contador_adv}} de {{total_proyectos}}</td>
															<td class="text-center">{{barra_pre}}% <br><progress min=0 max=100 value="{{barra_pre}}"></progress><br>{{contador_pre}} de {{total_proyectos}}</td>
														</tr>
													</tbody>
												</table>
												{% endif %}
											</div>
											<div class="col-md-6">
												{% if request.session.type != "AL" and request.session.type != "SE" and request.session.type != "DS" %}
												<div class="card-body">
													<canvas id="lineChart" width="488" height="244" style="display: block; width: 488px; height: 244px;"></canvas>
												</div>
												{% endif %}
												{% if request.session.type == "AL" %}
												<div class="card-body">
													<h3 class="text-center">Semana 15 - Cosas Pendientes</h3>
													<table class="table table-bordered">
														<tbody>
															<tr>
																<td style="vertical-align:middle"><strong>Minuta:</strong></td>
																<td style="vertical-align:middle">Pendiente Minuta de la Semana 12</td>
																<td style="vertical-align:middle"><button data-toggle="modal" data-target="#tab_modal" class="btn btn-info btn-xs"> Resolver </button></td>
															</tr>
															<tr>
																<td style="vertical-align:middle"><strong>Minuta:</strong></td>
																<td style="vertical-align:middle">Pendiente Minuta de la Semana 12</td>
																<td style="vertical-align:middle"><button data-toggle="modal" data-target="#tab_modal" class="btn btn-info btn-xs"> Resolver </button></td>
															</tr>
															<tr>
																<td style="vertical-align:middle"><strong>Minuta:</strong></td>
																<td style="vertical-align:middle">Pendiente Minuta de la Semana 12</td>
																<td style="vertical-align:middle"><button data-toggle="modal" data-target="#tab_modal" class="btn btn-info btn-xs"> Resolver </button></td>
															</tr>
														</tbody>
													</table>
												</div>
												{% endif %}
											</div>
										</div>
									</div>

								</div>
							</div>

						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="container-fluid row">

</div>
{% endblock content %} {% block javascript %}
		<script>
			$(document).ready(function() {
				var lineData = {
					labels: ["201610", "201620", "201710", "201720", "201810"],
					datasets: [
						{
							label: "Ciclo Advance",
							backgroundColor: 'rgba(26,179,148,0.5)',
							borderColor: "rgba(26,179,148,0.7)",
							pointBackgroundColor: "rgba(26,179,148,1)",
							pointBorderColor: "#fff",
							data: [2,3,4,5,6]
						},{
							label: "Ciclo Regular",
							backgroundColor: 'rgba(220, 220, 220, 0.5)',
							pointBorderColor: "#fff",
							data: [6,5,4,3,2]
						}
					]
				};
				var lineOptions = {
					responsive: true
				};

			{% if request.session.type == "DO" or request.session.type == "DC" or request.session.type == "SA" %}

				var ctx = document.getElementById("lineChart").getContext("2d");
				new Chart(ctx, {type: 'line', data: lineData, options:lineOptions});

			 {% endif %}
				$("#profile").addClass("active");
				$("#cambiar_foto").on("click",function(){
					$(".profileImage").trigger("click");
				});
				$(".profileImage").on("click", function(e) {
					$("#imageUpload").click();
					e.preventDefault();
					var foto = $('#profile_photo').val();
				});




				function fasterPreview(uploader) {
					var foto = uploader.files[0];
					var formData = new FormData();
					formData.append('foto', foto);
					formData.append('csrfmiddlewaretoken', '{{ csrf_token }}');
					$.ajax({
						type: "POST",
						url: "{% url 'upload_photo' %}",
						data: formData,
						contentType: false,
						processData: false,
						success: function(response) {
							console.log("funciona");
							console.log(response);
							location.reload();
						}
					});
					if (uploader.files && uploader.files[0]) {
						$('#profileImage').attr('src',
							window.URL.createObjectURL(uploader.files[0]));
					}
				}
				$("#imageUpload").change(function() {
					fasterPreview(this);
				});
			});
		</script>
		{% endblock javascript %}
